package com.tofly.base.api.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @author Administrator
 * @date 2019/9/6  16:42
 */
@Data
@TableName("TF_SMPN_MENU_X")
@EqualsAndHashCode(callSuper = true)
@KeySequence(value = "TF_SMPN_MENU_X")
public class SysMenu extends Model<SysMenu> {

    private static final long serialVersionUID = 6659863367857035557L;
    /**
     * 菜单ID
     */
    @TableId(value = "id",type = IdType.UUID)
    private String id;
    /**
     * 菜单名称
     */
    private String name;
    /**
     * 菜单权限标识
     */
    private String permission;
    /**
     * 父菜单ID
     */
    private String parentId;
    /**
     * 图标
     */
    private String icon;
    /**
     * VUE页面
     */
    private String component;
    /**
     * 排序值
     */
    private Integer sort;
    /**
     * 菜单类型 （0菜单 1按钮）
     */
    private String type;
    /**
     * 路由缓冲
     */
    private String keepAlive;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 0--正常 1--删除
     */
    @TableLogic
    private String delFlag;
    /**
     * 前端URL
     */
    private String path;
}
