package com.tofly.common.core.configs;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnExpression;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Administrator
 * @date 2019/9/10  9:54
 */
@Data
@RefreshScope
@Configuration
@ConditionalOnExpression("!'${tofly-filter}'.isEmpty()")
@ConfigurationProperties(prefix = "tofly-filter")
@Component
public class FilterPassUrlConfig {
    /**
     * 开发权限的url，不会被拦截
     */
    private List<String> urls=new ArrayList();
}
