package com.tofly.common.config;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.core.annotation.AliasFor;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.lang.annotation.*;

/**
 * @author tuonbed
 * @date 2020/9/15  17:14
 *
 * 集成注解
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@RestController
@RequestMapping
@Api
public @interface ToflyController {

    @AliasFor(annotation = RequestMapping.class)
    String[] value() default "";
    @AliasFor(annotation = Api.class)
    String[] tags() default "";
}
