/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.loges.entity;

import lombok.Data;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 日志信息表
 *
 * @author wangjian
 * @date Mon Oct 21 00:00:00 CST 2019
 */
@Data
@Document(indexName = "logentity_"+"#{T(com.tofly.common.core.util.Date8Util).getYearMonth()}", type = "log")
public class Log implements Serializable {
    private static final long serialVersionUID = 1L;

        /**
     * 日志ID
     */
            private String id;
        /**
     * 日志类型
     */
            private String type;
        /**
     * 服务ID
     */
            private String serviceId;
        /**
     * 创建者
     */
            private String createBy;
        /**
     * 创建时间
     */   @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
        @Field(type = FieldType.Date,fielddata=true)
        private Date createTime;
        /**
     * 更新时间
     */
        private Date updateTime;
        /**
     * 操作ip
     */
            private String remoteAddr;
        /**
     * 用户代理
     */
            private String userAgent;
        /**
     * 请求URI
     */
            private String requestUri;
        /**
     * 操作方法
     */
            private String method;
        /**
     * 操作提交数据
     */
            private String params;
        /**
     * 相应时间
     */
            private Long time;
        /**
     * 删除标记
     */
            private String delFlag;
        /**
     * 异常信息
     */
            private String exception;
        /**
     * 日志内容
     */
            private String title;
    
}
